Documentation Index

Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt

Use this file to discover all available pages before exploring further.

Delete cluster add-on

Prev Next

Available in VPC

Delete an add-on installed on a cluster.

Request

This section describes the request format. The method and URI are as follows:

Method URI
DELETE /vnks/v2/clusters/{uuid}/addons/{addonRef} (Korea Region)
DELETE /vnks/sgn-v2/clusters/{uuid}/addons/{addonRef} (Singapore Region)
DELETE /vnks/jpn-v2/clusters/{uuid}/addons/{addonRef} (Japan Region)

Request headers

For information about the headers common to all Ncloud Kubernetes Service APIs, see Ncloud Kubernetes Service request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
uuid String Required Cluster UUID
addonRef String Required Add-on name or UUID of installed add-on

Request example

The request example is as follows:

curl --location --request DELETE 'https://nks.apigw.ntruss.com/vnks/v2/clusters/****a20e-e0fb-4dc9-af1b-97fd3f8d****/addons/nks-csi' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Sub Account Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \
--header 'Content-Type: application/json'

Response

This section describes the response format.

Response syntax

The response syntax is as follows:

{
  "uuid": "string",
  "clusterUuid": "string",
  "addonName": "string",
  "version": "string",
  "configurationValues": "string",
  "displayName": "string",
  "description": "string",
  "category": "string",
  "status": "string",
  "message": "string",
  "k8sVersion": "string",
  "latestVersion": "string",
  "createdAt": "string",
  "updatedAt": "string"
}

Response body

This returns information about the add-on for which a deletion request was received. To verify whether the deletion is complete, use Get cluster add-on list. For descriptions of each field in the response body, see [Response body of Get cluster add-on]((/docs/en/nks-getclusteraddon#응답바디).

Response status codes

For information about the HTTP status codes common to all Ncloud Kubernetes Service APIs, see Ncloud Kubernetes Service response status codes.

Response example

The response example is as follows:

{
    "uuid": "****b3f1-2c4d-4a6e-9f80-1a2b3c4d****",
    "clusterUuid": "****a20e-e0fb-4dc9-af1b-97fd3f8d****",
    "addonName": "nks-csi",
    "version": "1.0.0",
    "configurationValues": "{}",
    "displayName": "NKS Block Storage CSI",
    "description": "NKS managed CSI driver for ncloud Block Storage. Provides dynamic volume provisioning, attachment, snapshot, and resize.",
    "category": "storage",
    "status": "delete_in_progress",
    "message": "",
    "k8sVersion": "1.36.2-nks.1",
    "latestVersion": "",
    "createdAt": "2025-06-05T10:15:30.000Z",
    "updatedAt": "2025-06-12T14:31:05.000Z"
}